/*
**	classbase.h - include file for Font DataType class
**	Copyright  1995-96 Michael Letowski
*/

#ifndef CLASSBASE_H
#define CLASSBASE_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef EXEC_EXECBASE_H
#include <exec/execbase.h>
#endif

#ifndef EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif

#ifndef EXEC_SEMAPHORES_H
#include <exec/semaphores.h>
#endif

#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif

#ifndef SUPPORT_EXEC_H
#include <support/exec.h>
#endif


/*
**	Global library base
*/
struct ClassBase
{
	struct Library         cb_Lib;								/* Library data */
	struct SignalSemaphore cb_Lock;								/* Access lock */
	BPTR                   cb_SegList;
	struct ExecBase	      *cb_SysBase;
	struct Library	      *cb_DOSBase;
	struct Library	      *cb_IntuitionBase;
	struct Library	      *cb_GfxBase;
	struct Library	      *cb_UtilityBase;
	struct Library	      *cb_DataTypesBase;
	struct Library	      *cb_DiskfontBase;
	struct Library	      *cb_SuperClassBase;
	Class						      *cb_Class;
};	/* ClassBase */


/*
**	Macros for tagcall's
*/
#define SysBase				(cb->cb_SysBase)
#define DOSBase				(cb->cb_DOSBase)
#define UtilityBase		(cb->cb_UtilityBase)
#define	IntuitionBase	(cb->cb_IntuitionBase)
#define	GfxBase				(cb->cb_GfxBase)
#define	DataTypesBase	(cb->cb_DataTypesBase)
#define	DiskfontBase	(cb->cb_DiskfontBase)


/*
**	Prototypes
*/
ASM Class *ObtainFontEngine(R_A6 struct ClassBase *cb);
ASM struct ClassBase *LibInit(R_D0 struct ClassBase *cb, R_A0 BPTR segList,
															R_A6 struct Library *sysBase);
ASM struct ClassBase *LibOpen(R_A6 struct ClassBase *cb);
ASM BPTR LibClose(R_A6 struct ClassBase *cb);
ASM BPTR LibExpunge(R_A6 struct ClassBase *cb);

#endif	/* CLASSBASE_H */
