*
*	classinit.asm - initialization routines for Font DataType class
*	Coyright  1995 Michael Letowski
*

	include	"exec/types.i"
	include	"exec/libraries.i"
	include	"exec/initializers.i"
	include	"exec/resident.i"

	include	"classbase.i"
	include	"font.rev.i"

; Referenced symbols

	xref	_LibInit
	xref	_LibOpen
	xref	_LibClose
	xref	_LibExpunge
	xref	_ObtainFontEngine

	xref	EndCode

	section	TEXT,CODE

; Start of library - return error
Start:
	moveq	#-1,d0
	rts

; Resident structure
RomTag:
	dc.w	RTC_MATCHWORD
	dc.l	RomTag
	dc.l	EndCode
	dc.b	RTF_AUTOINIT
	dc.b	PROG_VERSION
	dc.b	NT_LIBRARY
	dc.b	0
	dc.l	LibName
	dc.l	LibId
	dc.l	LibInitTable

; Strings
LibName	dc.b	PROG_NAME,0
LibId	dc.b	PROG_NAME,' ',PROG_VERSION_S,'.',PROG_REVISION_S,' (',PROG_DATE,')',13,10,0
	cnop	0,4

LibInitTable:
	dc.l	ClassBase_SIZEOF
	dc.l	LibFuncTable
	dc.l	LibDataTable
	dc.l	_LibInit

V_DEF	macro
	dc.w	\1+(*-LibFuncTable)
	endm
	
LibFuncTable:
	dc.w	-1
	V_DEF	_LibOpen
	V_DEF	_LibClose
	V_DEF	_LibExpunge
	V_DEF	LibReserved
	V_DEF	_ObtainFontEngine
	dc.w	-1

LibDataTable:
	INITBYTE	LN_TYPE,NT_LIBRARY
	INITLONG	LN_NAME,LibName
	INITBYTE	LIB_FLAGS,(LIBF_SUMUSED!LIBF_CHANGED)
	INITWORD	LIB_VERSION,PROG_VERSION
	INITWORD	LIB_REVISION,PROG_REVISION
	INITLONG	LIB_IDSTRING,LibId
	dc.w	0

	cnop	0,4

LibReserved:
	moveq	#0,d0
	rts

	end
